View a markdown version of this page

WafAcfpConfig - Amazon Lightsail

WafAcfpConfig

Describes the configuration of the account creation fraud prevention Web Application Firewall (WAF) rule group. The rule group inspects account creation requests to your application.

Contents

creationPath

The path of the endpoint that accepts completed account creation forms (for example, /signup/submit). This endpoint must accept POST requests.

Constraints:

  • Must start with a forward slash (/).

  • Must contain from 1 to 256 characters.

Type: String

Required: No

payloadType

The content type of the request body of account creation requests.

The following content types are possible:

  • JSON – The request body is in JSON format.

  • FORM_ENCODED – The request body is form encoded.

Type: String

Valid Values: JSON | FORM_ENCODED

Required: No

registrationPagePath

The path of the page that displays the account creation form (for example, /signup).

Constraints:

  • Must start with a forward slash (/).

  • Must contain from 1 to 256 characters.

Type: String

Required: No

responseInspection

An object that describes the HTTP status codes that your application returns for successful and failed account creation attempts.

Type: WafResponseInspection object

Required: No

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: